const points = [
  [0, 80],
  [100, 100],
  [200, 30],
  null,
  [300, 50],
  [400, 40],
  [500, 80]
];

const lineGenerator = d3.line().defined(d => d !== null);
const pathData = lineGenerator(points);

d3.select('svg')
	.append('path')
	.attr('fill', 'none')
	.attr('stroke', '#ccc')
	.attr('d', pathData)